package com.gic.haoban.manage.service.service.chat;

import java.util.Date;
import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanOwnerLogDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatPlanSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatPlanOwnerLog;

public interface GroupChatPlanOwnerLogService {

    public void save(GroupChatPlanOwnerLogDTO dto);

    public void updateSendCount(Long id, int sendCount, Date sendTime);

    TabGroupChatPlanOwnerLog getById(Long ownerLogId);

    public Page<GroupChatPlanOwnerLogDTO> listPage(Long planId, GroupChatPlanSearchQDTO qdto,
            BasePageInfo basePageInfo);
    
    List<TabGroupChatPlanOwnerLog> listForTimer() ;

}