package com.gic.haoban.manage.service.service.hm;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.hm.HmLinkChatDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmLinkChatQDTO;

/**
 * 
* @ClassName: HmLinkChatService
* @Description: 群链接人群配置
* @author xugh
* @date 2022年11月26日 上午6:47:30
*
 */
public interface HmLinkChatService {

    public List<HmLinkChatDTO> listByLinkId(String wxEnterpriseId, String enterpriseId, Long linkId);

    public int save(Long linkId, List<HmLinkChatDTO> list);

    public Page<HmLinkChatDTO> listPage(HmLinkChatQDTO qdto, BasePageInfo basePageInfo);

}
